#
# spec file for package perl-Test-Manifest
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Test-Manifest
%define cpan_name Test-Manifest
Summary:        Interact with a t/test_manifest file
Version:        1.23
Release:        3.1
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Manifest/
Source:         http://www.cpan.org/modules/by-module/Test/Test-Manifest-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More)

%description
Test::Harness assumes that you want to run all of the .t files in the t/
directory in ascii-betical order during make test unless you say otherwise.
This leads to some interesting naming schemes for test files to get them in
the desired order. This interesting names ossify when they get into source
control, and get even more interesting as more tests show up.

Test::Manifest overrides the default behaviour by replacing the
test_via_harness target in the Makefile. Instead of running at the t/*.t
files in ascii-betical order, it looks in the t/test_manifest file to
find out which tests you want to run and the order in which you want
to run them. It constructs the right value for MakeMaker to do the right thing.

Authors:
--------
    brian d foy, <bdfoy@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README test_manifest test_manifest_levels test_manifest_with_include

%changelog
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Aug 27 2010 chris@computersalat.de
- update to 1.23
  * Fixed bug for missing file: previously the missing file
    name was passed through to run_t_files, although without
    the t/ added to its path. Test::Manifest should only
    warn about and skip missing files.
- 1.22_03 - Tue Jul 29 21:14:49 2008
  * Fixed bug for missing file: previously the missing file
    name was passed through to run_t_files, although without
    the t/ added to its path. Test::Manifest should only
    warn about and skip missing files.
- recreated by cpanspec 1.78
- noarch pkg
* Tue Aug 10 2010 anicka@suse.cz
- state license correctly (bnc#627747)
* Mon Aug  2 2010 anicka@suse.cz
- initial package
